%define cdrecord_ver 1.8a22
%define cdda2wav_ver 1.0
%define mkisofs_ver  1.12b5

Summary: A command line CD/DVD-Recorder
Name: cdrecord
Version: %{cdrecord_ver}
Release: 1
Group: Utilities/System
Copyright: GPL
Url: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Vendor: Jrg Schilling <schilling@fokus.gmd.de>
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/alpha/cdrecord-%{version}.tar.gz
Source1: cdrecord.dfl
Patch:   cdrecord-1.8a21.patch
BuildRoot: /var/tmp/%{name}-root

%description
Cdrecord allows you to create CD's on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

This package includes cdrecord-%{version}, cdda2wav-%{cdda2wav_ver}, and 
mkisofs-%{mkisofs_ver}.

Remember to customize /etc/default/cdrecord before using cdrecord.


%package -n libscg
Summary: Jrg Schilling's SCSI library
Group: Utilities/System

%description -n libscg
Jrg Schilling's SCSI library


%prep
%setup -q -n cdrecord-1.8
# This patch is not needed to compile cdrecord itself. Rather it is needed 
# by external C++ softwares which link against libscg (eg. cdrdao).
%patch -p1


%build
make
# collect %doc files
mkdir -p rpm_doc/{cdrecord-%{version},cdda2wav-%{cdda2wav_ver},mkisofs-%{mkisofs_ver}}
mv ABOUT AN* COPYING Changelog README* START \
	rpm_doc/cdrecord-%{version}
mv cdda2wav/{Frontends,GPL,HOWTOUSE,NEEDED,OtherProgs,README,THANKS,TODO} \
	rpm_doc/cdda2wav-%{cdda2wav_ver}
mv mkisofs-%{mkisofs_ver}/{COPYING,ChangeLog,README*,TODO} \
	rpm_doc/mkisofs-%{mkisofs_ver}


%install
rm -rf $RPM_BUILD_ROOT
make INS_BASE=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/*

# Make cdrecord suid root so normal users can use it
chmod 4711 $RPM_BUILD_ROOT/usr/bin/cdrecord

# Install my config file for Plextor 8/20. Default is cdrecord/cdrecord.dfl
mkdir -p $RPM_BUILD_ROOT/etc/default
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/default/cdrecord

# Install headers for libscg. "make install" installed *.a but not *.h.
cp -pr include $RPM_BUILD_ROOT/usr
install -m644 incs/*/xconfig.h $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/usr/include/xmconfig.h
chmod 0755 $RPM_BUILD_ROOT/usr/include/scg


%files
%defattr(-,root,root)
%doc rpm_doc/*
%config /etc/default/cdrecord
/usr/bin/*
/usr/man/man*/*


%files -n libscg
%defattr(-,root,root)
/usr/include/*
/usr/lib/*


%clean
rm -rf $RPM_BUILD_ROOT

